summaryrefslogtreecommitdiff
path: root/osx/osx-resources/InstallationCheck
diff options
context:
space:
mode:
authorJohn MacFarlane <fiddlosopher@gmail.com>2014-05-12 19:59:44 -0700
committerJohn MacFarlane <fiddlosopher@gmail.com>2014-05-12 19:59:44 -0700
commit1e8cd2c27755bac4086489e9a6eed19bf4d72d45 (patch)
treebcd1f56a06213753d5855cf4c591bd80001c27a8 /osx/osx-resources/InstallationCheck
parent77b2589d3f10f988ddf6804dee401112057f5a17 (diff)
Moved osx package stuff to osx directory; added uninstall script.
Thanks to Daniel T. Staal for an uninstall script from which this one is modified.
Diffstat (limited to 'osx/osx-resources/InstallationCheck')
-rwxr-xr-xosx/osx-resources/InstallationCheck14
1 files changed, 14 insertions, 0 deletions
diff --git a/osx/osx-resources/InstallationCheck b/osx/osx-resources/InstallationCheck
new file mode 100755
index 000000000..2bd691f5c
--- /dev/null
+++ b/osx/osx-resources/InstallationCheck
@@ -0,0 +1,14 @@
+#!/bin/sh
+cputype=`/usr/sbin/sysctl -n hw.cputype`
+sixtyfourbit=`/usr/sbin/sysctl -n hw.cpu64bit_capable`
+
+if [ "x$cputype" != "x7" ] # x86
+then
+ exit 112
+fi
+
+if [ "x$sixtyfourbit" != "x1" ] # 64 bit
+then
+ exit 113
+fi
+